Bug 8888 - After upgrade to latest BIND version and subsequent re-boot named not started
After upgrade to latest BIND version and subsequent re-boot named not started
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-01-26 04:13 EST by Andrei Ivanov
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-27 06:44:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrei Ivanov 2000-01-26 04:13:03 EST
I've found this question in comp.protocols.dns.bind newsgroup
and when checked my own linux box discovered, that corresponding S* files
really disappeared from /etc/rc.d/rc[3-5].d directories. Checked original
and latest updates RPMs (both for sparc and intel) and send the following
to the newsgroup mentioned (now it's forwarded to moderator for approval).
Hope this helps a bit.

Date: Wed, 26 Jan 2000 08:55:30 GMT
From: Andrei Ivanov <iva@racoon.riga.lv>
To: comp-protocols-dns-bind@moderators.isc.org
Newsgroups: comp.protocols.dns.bind
Subject: Re: named won't start at boot - Redhat

In article <OSoj4.58$FS.20657@carnaval.risq.qc.ca>,
  "Liang Ma" <Liang.Ma@space.gc.ca.NO_SPAM> wrote:
> Try "ln -s ../init.d/named S45named" in /etc/rc.d/rc3.d.
> I don't know if this is the right way, but it works with my
> Red Hat 6.1

Oops! Checked my RH60 box and found that S55named script really
diappeared after upgrade. The following run control scripts were
installed during initial installation:

 $ rpm -qlp redhat-6.0/i386/RedHat/RPMS/bind-8.2-6.i386.rpm | grep /etc

But newest version of BIND rpm does not provide S* scripts:

 $ rpm -qlp updates/redhat-6.0/i386/bind-8.2.2_P3-1.i386.rpm | grep /etc

So, after upgrade it's necessary to create symbolic links in rc[345].d
directories manually.

Comment 1 Bernhard Rosenkraenzer 2000-01-27 06:44:59 EST
This is intentional. We disable all network services by default until someone
turns them on.

chkconfig --levels 35 named on

is probably what you're looking for.
Alternatively, use some graphical tool that does the same thing, like ntsysv or
Comment 2 Andrei Ivanov 2000-01-27 09:14:59 EST
Any ascii/graphical tool should be used during initial installation. Upgrade
of the package on running system is a bit different case. It would be wise to
check current state (in preinstall script (I'm not very familiar with RPM
intrinsics, but hope that you have smth appropriate)) and restore the same
state right after package upgrade automatically. For example, I last rebooted
the linux box about a week _before_ RH provided new version of BIND, and only
occasionally discovered, that after next re-boot I would go w/out one of my
services :-(

Note You need to log in before you can comment on or make changes to this bug.